Module java.base
Package java.security.acl

## Class LastOwnerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.acl.LastOwnerException

- All Implemented Interfaces:
    `Serializable`

  Deprecated.
  This package has been replaced by `java.security.Policy` and related classes since 1.2.

      @Deprecated(since="9")
      public class LastOwnerException
      extends Exception

  This is an exception that is thrown whenever an attempt is made to delete the last owner of an Access Control List.
  Since:
    1.1
  See Also:
    `Owner.deleteOwner(java.security.Principal, java.security.Principal)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LastOwnerException​()` | Deprecated. Constructs a LastOwnerException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### LastOwnerException

          public LastOwnerException​()

      Deprecated.
      Constructs a LastOwnerException.